Top Description Fields Constructors Methods
org.bouncycastle.asn1.cms

public Class TimeStampAndCRL

extends ASN1Object
Class Inheritance
Imports
org.bouncycastle.asn1.ASN1EncodableVector, .ASN1Object, .ASN1Primitive, .ASN1Sequence, .DERSequence, org.bouncycastle.asn1.x509.CertificateList

RFC 5544 Binding Documents with Time-Stamps; TimeStampAndCRL object.
TimeStampAndCRL ::= SEQUENCE {
    timeStamp   TimeStampToken,          -- according to RFC 3161
    crl         CertificateList OPTIONAL -- according to RFC 5280
 }

Field Summary

Modifier and TypeField and Description
private CertificateList
private ContentInfo

Constructor Summary

AccessConstructor and Description
public
public
private

Method Summary

Modifier and TypeMethod and Description
public CertificateList
getCertificateList()
Deprecated use getCRL()

public CertificateList
public static TimeStampAndCRL
getInstance(Object
the object we want converted.
obj
)

Return a TimeStampAndCRL object from the given object.

public ContentInfo
public ASN1Primitive
toASN1Primitive()

Implements abstract org.bouncycastle.asn1.ASN1Object.toASN1Primitive.

Implements org.bouncycastle.asn1.ASN1Encodable.toASN1Primitive.

Method providing a primitive representation of this object suitable for encoding.

Inherited from org.bouncycastle.asn1.ASN1Object:
encodeToencodeToequalsgetEncodedgetEncodedhasEncodedTagValuehashCode

Field Detail

crlback to summary
private CertificateList crl
timeStampback to summary
private ContentInfo timeStamp

Constructor Detail

TimeStampAndCRLback to summary
public TimeStampAndCRL(ContentInfo timeStamp)
TimeStampAndCRLback to summary
public TimeStampAndCRL(ContentInfo timeStamp, CertificateList crl)
TimeStampAndCRLback to summary
private TimeStampAndCRL(ASN1Sequence seq)

Method Detail

getCertificateListback to summary
public CertificateList getCertificateList()

Deprecated

use getCRL()

getCRLback to summary
public CertificateList getCRL()
getInstanceback to summary
public static TimeStampAndCRL getInstance(Object obj)

Return a TimeStampAndCRL object from the given object.

Accepted inputs:

Parameters
obj:Object

the object we want converted.

Exceptions
IllegalArgumentException:
if the object cannot be converted.
getTimeStampTokenback to summary
public ContentInfo getTimeStampToken()
toASN1Primitiveback to summary
public ASN1Primitive toASN1Primitive()

Implements abstract org.bouncycastle.asn1.ASN1Object.toASN1Primitive.

Implements org.bouncycastle.asn1.ASN1Encodable.toASN1Primitive.

Doc from org.bouncycastle.asn1.ASN1Object.toASN1Primitive.

Method providing a primitive representation of this object suitable for encoding.

Returns:ASN1Primitive

a primitive representation of this object.